with GNATCOM.Dispinterface;

package MSHTML.DispDOMTextEvent_Object is

   type DispDOMTextEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_bubbles
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_cancelable
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_currentTarget
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_defaultPrevented
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_eventPhase
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_target
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_timeStamp
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_type
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure initEvent
     (This       : DispDOMTextEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      Free       : Boolean := True);

   procedure preventDefault
     (This : DispDOMTextEvent_Type);

   procedure stopPropagation
     (This : DispDOMTextEvent_Type);

   procedure stopImmediatePropagation
     (This : DispDOMTextEvent_Type);

   function Get_isTrusted
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_cancelBubble
     (This : DispDOMTextEvent_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_cancelBubble
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_srcElement
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_view
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_detail
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure initUIEvent
     (This       : DispDOMTextEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      view       : GNATCOM.Types.VARIANT;
      detail     : GNATCOM.Types.VARIANT;
      Free       : Boolean := True);

   function Get_data
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   function Get_inputMethod
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

   procedure initTextEvent
     (This        : DispDOMTextEvent_Type;
      eventType   : GNATCOM.Types.VARIANT;
      canBubble   : GNATCOM.Types.VARIANT;
      cancelable  : GNATCOM.Types.VARIANT;
      viewArg     : GNATCOM.Types.VARIANT;
      dataArg     : GNATCOM.Types.VARIANT;
      inputMethod : GNATCOM.Types.VARIANT;
      locale      : GNATCOM.Types.VARIANT;
      Free        : Boolean := True);

   function Get_locale
     (This : DispDOMTextEvent_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispDOMTextEvent_Object;

